mcrypt_module_is_block_algorithm_mode
mcrypt_module_is_block_mode
Mcrypt Functions
PHP Manual

# mcrypt_module_is_block_algorithm

This function checks whether the specified algorithm is a block algorithm

### Description

bool mcrypt_module_is_block_algorithm ( string `$algorithm` [, string `$lib_dir` ] )

This function returns `TRUE` if the specified algorithm is a block algorithm, or `FALSE` if it is a stream one.

### Parameters

`algorithm`

  The algorithm to check.

`lib_dir`

  The optional `lib_dir` parameter can contain the location where the algorithm module is on the system.

### Return Values

This function returns `TRUE` if the specified algorithm is a block algorithm, or `FALSE` if it is a stream one.